Name:           eeze
Version:        1.7.7
Release:        1%{?dist}
Summary:        Device convenience library for EFL

Group:          System Environment/Libraries
License:        MIT
URL:            http://trac.enlightenment.org/e/wiki/Eeze
Source0:        http://download.enlightenment.org/snapshots/2008-09-25/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       ecore, systemd, libmount, eject
BuildRequires:  ecore-devel >= 1.0.0, systemd-devel, doxygen, libmount-devel >= 2.18, eject

%description
Eeze is a library for manipulating devices through udev with a simple and fast api.
It interfaces directly with libudev, avoiding such middleman daemons as 
udisks/upower or hal, to immediately gather device information the instant it 
becomes known to the system.
This can be used to determine such things as:
  * If a cdrom has a disk inserted
  * The temperature of a cpu core
  * The remaining power left in a battery
  * The current power consumption of various parts
  * Monitor in realtime the status of peripheral devices
  
Each of the above examples can be performed by using only a single eeze
function, as one of the primary focuses of the library is to reduce the
complexity of managing devices.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
find $RPM_BUILD_ROOT -name '*.la' -delete



%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO NEWS ChangeLog
%{_bindir}/%{name}_*
%{_libdir}/libeeze*.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Dec 11 2011 Chelban Vasile <vchelban@fedoramd.org> 1.1.99-1
- enabled eeze_mount

* Wed Dec 15 2010 Vasile Chelban <vchelban@fedoramd.org> 1.0.0-0.1.beta3
- Initial specfile for eeze
